Memcached::add
Memcached::addServer
Memcached
PHP Manual

# Memcached::addByKey

(PECL memcached >= 0.1.0)

Memcached::addByKey — Add an item under a new key on a specific server

### Opis

public bool Memcached::addByKey ( string `$server_key` , string `$key` , mixed `$value` [, int `$expiration` ] )

Memcached::addByKey() is functionally equivalent to Memcached::add, except that the free-form `server_key` can be used to map the `key` to a specific server. This is useful if you need to keep a bunch of related keys on a certain server.

### Parametry

`server_key`

  Klucz identyfikujący serwer do przechowywania wartości.

`key`

  Klucz określający przechowywaną wartość.

`value`

  Wartość do przechowania.

`expiration`

  Czas wygaśnięcia, domyślnie 0. Zobacz Czasy wygaśnięcia, aby dowiedzieć się wiecej.

### Zwracane wartości

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu. The Memcached::getResultCode will return `Memcached::RES_NOTSTORED` if the key already exists.

### Zobacz też:

- Memcached::add - Add an item under a new key
- Memcached::set - Store an item
- Memcached::replace - Replace the item under an existing key

Memcached::add
Memcached::addServer
Memcached
PHP Manual